Bug 891835 - gnome-shell screensaver should disable input methods for password input
gnome-shell screensaver should disable input methods for password input
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 01:24 EST by Jens Petersen
Modified: 2014-02-05 09:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:23:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-01-04 01:24:40 EST
Description of problem:
Today I got confused by not being able to unlock the gnome screensaver
until I realised that I had Japanese (anthy) input turned on
and gnome-shell screensaver seems to allow ibus input method
input into the password box.

Version-Release number of selected component (if applicable):
gnome-shell-3.6.2-3.fc18
gnome-shell-3.6.2-6.fc18

How reproducible:
100%

Steps to Reproduce:
1. enable ibus input method, eg "Japanese (anthy)" and select it as Input Source
2. lock gnome
3. try to enter passwd
  
Actual results:
Password box accepts ibus input with Japanese characters

Expected results:
Password box to ignore input method and just give direct keyboard input
(like gnome-control-center does for changing password).
Comment 1 Mike FABIAN 2013-07-04 04:17:30 EDT
It seems fixed in f19.

An indicator for a Japanese input method (あ) maybe still be shown
in the panel but the Japanese input method is apparently disabled
in the password entry field of the lock screen and one can enter
a non-Japanese password correctly.
Comment 2 Fedora End Of Life 2013-12-21 05:10:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Mike FABIAN 2014-01-22 03:12:12 EST
It is OK in f19 and f20.
Comment 4 Fedora End Of Life 2014-02-05 09:23:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.